Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001003 [1003.1(2013)/Issue7+TC1] System Interfaces Editorial Omission 2015-11-06 17:27 2024-06-11 09:02
Reporter jsm28 View Status public  
Assigned To
Priority normal Resolution Accepted  
Status Closed  
Name Joseph Myers
Organization
User Reference
Section 2.2.2 The Name Space
Page Number 473
Line Number 16059-16060
Interp Status ---
Final Accepted Text See Desired Action
Summary 0001003: Reservation of file-scope identifiers as macros missing
Description 2.2.2 The Name Space says "Each identifier with file scope described in the header section is reserved for use as an identifier with file scope in the same name space if the header is included.". This appears to have been based on C90, as C99 says "Each identifier with file scope listed in any of the following subclauses (including the future library directions) is reserved for use as a macro name and as an identifier with file scope in the same name space if any of its associated headers is included.", and "as a macro name" (added in C99, not in C90) is missing in the POSIX wording.
Desired Action Insert "as a macro name and" before "as an identifier with file scope".
Tags tc3-2008
Attached Files

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2015-11-06 17:27 jsm28 New Issue
2015-11-06 17:27 jsm28 Name => Joseph Myers
2015-11-06 17:27 jsm28 Section => 2.2.2 The Name Space
2015-11-06 17:27 jsm28 Page Number => 473
2015-11-06 17:27 jsm28 Line Number => 16059-16060
2016-07-21 15:40 nick Interp Status => ---
2016-07-21 15:40 nick Final Accepted Text => See Desired Action
2016-07-21 15:40 nick Status New => Resolved
2016-07-21 15:40 nick Resolution Open => Accepted
2016-07-21 15:40 nick Tag Attached: tc3-2008
2019-10-21 09:07 geoffclare Status Resolved => Applied
2024-06-11 09:02 agadmin Status Applied => Closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker